Subject: Re: bug#17014: 24.3; Emacsclient freezes if mutt attaches a signature

From: Walter Garcia-Fontes <[email-masked]>
Date: Mon, 17 Mar 2014 10:07:16 +0100

Thanks for your attention:

* Glenn Morris, [email-masked] [16/03/14 02:17]:
> Thanks, but I don't think there's any useful information in that
> backtrace.

Yes, I don't know how to produce the backtrace. If I start the emacs
daemon directly with emacsclient I can't reproduce the freeze, instead
if a deamon is already running, and I attach a client with emacsclient
I can produce the freeze 100% of the times.

> Can you take emacsclient out of the equation?
> Ie, just have mutt spawn a stand-alone, isolated Emacs instance.

As I said in this case i cannot produce the freeze.

> Does that still hang?
> Is it interruptible with ctrl-g?

Yes, it is interruptible via ctrl-g, but I have to press it twice I
don't know why

> If so, set debug-on-quit.

I've set it putting this in my emacs startup commands:

     (defun triangle-bugged (number)
       "Return sum of numbers 1 through NUMBER inclusive."
       (let ((total 0))
         (while (> number 0)
           (setq total (+ total number))
           (debug)                         ; Start debugger.
           (setq number (1= number)))      ; Error here.
         total))

But when I interrupt the frozen session nothing happens.

> Or try and get a gdb backtrace from emacs.

As I said the problem is that I don't know how to produce this
trace. I start gdb and I start there the emacs daemon, with "run
--daemon". Then I open mutt outside gdb, I produce the freeze, but
then I can't get anything from the emacs daemon being debugged in gdb.

> What does the signature attachment hook actually do?

It's just a text file, with the following two lines:

Walter Garcia-Fontes               
L'Hospitalet de Llobregat

-- 
Walter Garcia-Fontes